List Slotting Rule Sets
Returns Slotting Rule Sets of one warehouse with current Rule counts and the latest recorded conflict results. Rule counts reflect current child Rules. Conflict fields may change after asynchronous Slotting processing completes.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
The id of the referenced Warehouse.
Query Parameters
Specify fields of the SlottingRuleSet object to include in the response.
all, name, description, is_active, rule_count, has_conflicts, conflicting_rule_count, created_at, updated_at Using the filtering syntax, filter results by:
idnameis_active
The default sort order is ascending by id.
The following fields are available for sorting:
idnameis_activeupdated_at
If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the last id of the next page of results, non-inclusive.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the starting id of the next page of results.
See paging parameters for more information on paging.
Number of SlottingRuleSet objects to return; maximum 250.
1 <= x <= 25050
Response
A bounded collection of Warehouse Slotting Rule Sets.
Slotting Rule Sets matching the query.
Always empty because Rule Sets have no expandable relationships in this slice.
True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.
The resource path for the next page of results if any are expected.
The resource path for the previous page of results if any are expected.
Additional metadata pertaining to the response.